Bug 586261 - need ESX driver is compiled into v2v-libvirt by default so that virt-v2v works well with guest conversion from ESX
need ESX driver is compiled into v2v-libvirt by default so that virt-v2v work...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: v2v-libvirt (Show other bugs)
All Linux
high Severity high
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2010-04-27 03:41 EDT by Osier Yang
Modified: 2014-03-26 21:01 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-11-19 06:02:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Osier Yang 2010-04-27 03:41:35 EDT
Description of problem:
Because virt-v2v depends on the ESX driver of libvirt to get the metadatas of the guest on ESX server, and libvirt compiles the drivers as static libraries into libvirtd directly, so if it doesn't compile ESX driver into libvirtd by default, we will not be able to convert the guests from ESX server, except the user compile libvirt from source code himself. which is no good.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Yewei Shao 2010-11-19 06:02:54 EST
In virt-v2v new build, there is no v2v-libvirt package now. So close this bug, if any problem, please feel free to reopen, thanks.

Note You need to log in before you can comment on or make changes to this bug.